org.eclipse.ecf.provider.filetransfer.identity

## Class FileTransferID

- java.lang.Object
- - org.eclipse.ecf.core.identity.BaseID
  - - org.eclipse.ecf.provider.filetransfer.identity.FileTransferID

All Implemented Interfaces:
  Serializable, Comparable, Principal, org.eclipse.core.runtime.IAdaptable, ID, IFileID

    public class FileTransferID
    extends BaseID
    implements IFileID

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.eclipse.ecf.core.identity.BaseID

`namespace`

### Constructor Summary

Constructors
Constructor and Description
`FileTransferID(Namespace namespace, URI uri)`
`FileTransferID(Namespace namespace, URL url)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFilename()` Get the file name from this IFileID.
`protected String` `getFileNameOnly()`
`URI` `getURI()` Get the URI associated with the file identified by this IFileID.
`URL` `getURL()` Get the url associated with the file identified by this IFileID.
`protected int` `namespaceCompareTo(BaseID o)` Called by `Namespace.getCompareToForObject(BaseID, BaseID)`.
`protected boolean` `namespaceEquals(BaseID o)` Called by `Namespace.testIDEquals(BaseID, BaseID)`.
`protected String` `namespaceGetName()` Called by `Namespace.getNameForID(BaseID)`.
`protected int` `namespaceHashCode()` Called by `Namespace.getHashCodeForID(BaseID)`.
`String` `toString()`

### Methods inherited from class org.eclipse.ecf.core.identity.BaseID

`compareTo, equals, getAdapter, getName, getNamespace, hashCode, namespaceToExternalForm, toExternalForm`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.ecf.core.identity.ID

`equals, getName, getNamespace, hashCode, toExternalForm`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface java.security.Principal

`implies`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### FileTransferID

    public FileTransferID(Namespace namespace,
                          URL url)

#### FileTransferID

    public FileTransferID(Namespace namespace,
                          URI uri)

Parameters:
  `namespace` - namespace
  `uri` - uri
Since:
  3.2

### Method Detail

#### namespaceCompareTo

    protected int namespaceCompareTo(BaseID o)

Description copied from class: `BaseID`
Called by `Namespace.getCompareToForObject(BaseID, BaseID)`.

Specified by:
  `namespaceCompareTo` in class `BaseID`
Parameters:
  `o` - the other ID to compare to. Will not be `null`.
Returns:
  the appropriate value as per `Comparable` contract.

#### namespaceEquals

    protected boolean namespaceEquals(BaseID o)

Description copied from class: `BaseID`
Called by `Namespace.testIDEquals(BaseID, BaseID)`.

Specified by:
  `namespaceEquals` in class `BaseID`
Parameters:
  `o` - the other ID to test against. May be `null`.
Returns:
  `true` if this ID is equal to the given ID. `false` otherwise.

#### namespaceGetName

    protected String namespaceGetName()

Description copied from class: `BaseID`
Called by `Namespace.getNameForID(BaseID)`.

Specified by:
  `namespaceGetName` in class `BaseID`
Returns:
  String name for this ID. Must not be `null`. Value returned should be unique within this Namespace.

#### namespaceHashCode

    protected int namespaceHashCode()

Description copied from class: `BaseID`
Called by `Namespace.getHashCodeForID(BaseID)`.

Specified by:
  `namespaceHashCode` in class `BaseID`
Returns:
  int hashCode for this ID. Returned value must be unique within this process.

#### getFilename

    public String getFilename()

Description copied from interface: `IFileID`
Get the file name from this IFileID. This will return just the filename portion of a more complex file ID, e.g. index.html from IFileID created with value "http://www.composent.com/index.html"

Specified by:
  `getFilename` in interface `IFileID`
Returns:
  String just the file name and extension (if any) for this given IFileID. Will not be `null`.

#### getURL

    public URL getURL()
               throws MalformedURLException

Description copied from interface: `IFileID`
Get the url associated with the file identified by this IFileID.

Specified by:
  `getURL` in interface `IFileID`
Returns:
  URL associated with this IFileID. Will not be null.
Throws:
  `MalformedURLException` - thrown if URL cannot be created for this IFileID

#### getFileNameOnly

    protected String getFileNameOnly()

#### toString

    public String toString()

Specified by:
  `toString` in interface `Principal`
Overrides:
  `toString` in class `Object`

#### getURI

    public URI getURI()
               throws URISyntaxException

Description copied from interface: `IFileID`
Get the URI associated with the file identified by this IFileID.

Specified by:
  `getURI` in interface `IFileID`
Returns:
  URI associated with this IFileID. Will not be `null`.
Throws:
  `URISyntaxException` - thrown if URI cannot be created for this IFileID.
Since:
  3.2